Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.amf.testing.aTest
Enum Measure

    java.lang.Object
      java.lang.Enum<Measure>
          org.eclipse.amp.amf.testing.aTest.Measure

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Measure>, org.eclipse.emf.common.util.Enumerator

    public enum Measure

extends java.lang.Enum<Measure>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Measure', and utility methods for working with them.

See Also:
  `ATestPackage.getMeasure()`

Enum Constant Summary
`AVERAGE` The 'AVERAGE' literal object.
`COUNT` The 'COUNT' literal object.
`MAXIMUM` The 'MAXIMUM' literal object.
`MINIMUM` The 'MINIMUM' literal object.
`SUM` The 'SUM' literal object.

Field Summary
`static int` | `AVERAGE_VALUE` The 'AVERAGE' literal value.
`static int` | `COUNT_VALUE` The 'COUNT' literal value.
`static int` | `MAXIMUM_VALUE` The 'MAXIMUM' literal value.
`static int` | `MINIMUM_VALUE` The 'MINIMUM' literal value.
`static int` | `SUM_VALUE` The 'SUM' literal value.
`static java.util.List<Measure>` | `VALUES` A public read-only list of all the 'Measure' enumerators.

Method Summary
`static Measure` | `get(int value)` Returns the 'Measure' literal with the specified integer value.
`static Measure` | `get(java.lang.String literal)` Returns the 'Measure' literal with the specified literal value.
`static Measure` | `getByName(java.lang.String name)` Returns the 'Measure' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Measure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Measure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COUNT

    public static final Measure COUNT

  The 'COUNT' literal object.

  See Also:
    `COUNT_VALUE`

### AVERAGE

    public static final Measure AVERAGE

  The 'AVERAGE' literal object.

  See Also:
    `AVERAGE_VALUE`

### SUM

    public static final Measure SUM

  The 'SUM' literal object.

  See Also:
    `SUM_VALUE`

### MINIMUM

    public static final Measure MINIMUM

  The 'MINIMUM' literal object.

  See Also:
    `MINIMUM_VALUE`

### MAXIMUM

    public static final Measure MAXIMUM

  The 'MAXIMUM' literal object.

  See Also:
    `MAXIMUM_VALUE`

Field Detail

### COUNT_VALUE

    public static final int COUNT_VALUE

  The 'COUNT' literal value.

  If the meaning of 'COUNT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COUNT`, Constant Field Values

### AVERAGE_VALUE

    public static final int AVERAGE_VALUE

  The 'AVERAGE' literal value.

  If the meaning of 'AVERAGE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AVERAGE`, Constant Field Values

### SUM_VALUE

    public static final int SUM_VALUE

  The 'SUM' literal value.

  If the meaning of 'SUM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUM`, Constant Field Values

### MINIMUM_VALUE

    public static final int MINIMUM_VALUE

  The 'MINIMUM' literal value.

  If the meaning of 'MINIMUM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MINIMUM`, Constant Field Values

### MAXIMUM_VALUE

    public static final int MAXIMUM_VALUE

  The 'MAXIMUM' literal value.

  If the meaning of 'MAXIMUM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MAXIMUM`, Constant Field Values

### VALUES

    public static final java.util.List<Measure> VALUES

  A public read-only list of all the 'Measure' enumerators.

Method Detail

### values

    public static Measure[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Measure c : Measure.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Measure valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static Measure get(java.lang.String literal)

  Returns the 'Measure' literal with the specified literal value.

### getByName

    public static Measure getByName(java.lang.String name)

  Returns the 'Measure' literal with the specified name.

### get

    public static Measure get(int value)

  Returns the 'Measure' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Measure>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD